Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512531 - glibc: Enable stack clash protection in glibc
Summary: glibc: Enable stack clash protection in glibc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1512529 1518823 1522675
Blocks: 1518664
TreeView+ depends on / blocked
 
Reported: 2017-11-13 12:44 UTC by Florian Weimer
Modified: 2018-04-10 17:10 UTC (History)
9 users (show)

Fixed In Version: glibc-2.26.9000-29.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1518664 (view as bug list)
Environment:
Last Closed: 2018-04-10 17:10:51 UTC


Attachments (Terms of Use)

Description Florian Weimer 2017-11-13 12:44:32 UTC
Once gcc supports -fstack-clash-protection, we should compile glibc with it.

Comment 1 Fedora End Of Life 2018-02-20 15:22:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Florian Weimer 2018-04-10 17:10:51 UTC
We're not going to backport this change to Fedora 27 and earlier.


Note You need to log in before you can comment on or make changes to this bug.